Bug 841827 - Bump to version 5.0
Bump to version 5.0
Product: Fedora
Classification: Fedora
Component: ntop (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
Depends On:
Blocks: 845195
  Show dependency treegraph
Reported: 2012-07-20 06:26 EDT by Stjepan Gros
Modified: 2012-08-10 18:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 845195 (view as bug list)
Last Closed: 2012-08-10 18:30:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
SPEC file (17.25 KB, text/plain)
2012-07-20 06:26 EDT, Stjepan Gros
no flags Details
Changed patch... (415 bytes, patch)
2012-07-20 06:27 EDT, Stjepan Gros
no flags Details | Diff
Changed patch... (1.22 KB, patch)
2012-07-20 06:27 EDT, Stjepan Gros
no flags Details | Diff
Spec file that supports EPEL6 too (17.95 KB, text/x-rpm-spec)
2012-07-23 14:52 EDT, Stjepan Gros
no flags Details
init.d file for ntop when used in EPEL6 (1.78 KB, application/octet-stream)
2012-07-23 14:53 EDT, Stjepan Gros
no flags Details

  None (edit)
Description Stjepan Gros 2012-07-20 06:26:10 EDT
Created attachment 599356 [details]
SPEC file

I suggest that NMAP in Fedora is upgraded to version 5.0. I managed to compile it on F17 with minimal changes. Attached are changed files with respect to SRPM.
Comment 1 Stjepan Gros 2012-07-20 06:27:02 EDT
Created attachment 599357 [details]
Changed patch...
Comment 2 Stjepan Gros 2012-07-20 06:27:39 EDT
Created attachment 599362 [details]
Changed patch...
Comment 3 Sven Lankes 2012-07-20 06:57:37 EDT
I'll take a shot at upgrading the package ...
Comment 4 Stjepan Gros 2012-07-23 14:45:08 EDT
I update spec file so that it can compile on CentOS6, too.
Comment 5 Stjepan Gros 2012-07-23 14:52:28 EDT
Created attachment 599838 [details]
Spec file that supports EPEL6 too
Comment 6 Stjepan Gros 2012-07-23 14:53:09 EDT
Created attachment 599839 [details]
init.d file for ntop when used in EPEL6
Comment 7 Sven Lankes 2012-08-02 00:22:24 EDT
I've built ntop5 for rawhide.

There was some more work to be done as your .spec did download additional (nDPI) sourcecode from svn which is a no-go for fedora packages for a few reasons.

I've left out the el6-bits. While I don't mind them in the .spec in general this needs to be done by the EL6-Maintainer. I don't have commit access to the EL6-Packages.
Comment 8 Fedora Update System 2012-08-02 01:13:06 EDT
ntop-5.0-2.fc17 has been submitted as an update for Fedora 17.
Comment 9 Stjepan Gros 2012-08-02 04:11:19 EDT
Strange, I took spec file from Fedora repository and I didn't add anything to be downloaded. So either that was from previous version, or something was added to ntop 5. Anyway, it doesn't matter.

I cloned this bug in EPEL so that EPEL maintainer could see it/act on it.
Comment 10 Fedora Update System 2012-08-02 07:18:44 EDT
Package ntop-5.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntop-5.0-2.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-08-10 18:30:33 EDT
ntop-5.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.